Subject: [bug#32102] [PATCH v2 1/2] build-system: python: Only wrap non-hidden executable files.

From: Arun Isaac <[email-masked]>
Date: Fri, 13 Jul 2018 14:05:31 +0530

> What about adding a function like 'is-wrapped?'?  Because it could be
> used somewhere else, and it would make the code self-descriptive.
>
> It would check that the name looks like .xxx-real, and also check that
> xxx exists.  (And check that it's an executable.)

Yes, that's a good idea. I'll add `is-wrapped?' to (guix build utils)
and export it. That way, both `wrap-program' from (guix build utils) and
the wrap phase from python-build-system can make use of it. I will send
an updated patchset once I'm done.